Cantera 2.6.0

Public Member Functions | Private Attributes | List of all members
Tabulated1 Class Reference

The Tabulated1 class implements a tabulated function. More...

`#include <Func1.h>`

Inheritance diagram for Tabulated1:
[legend]
Collaboration diagram for Tabulated1:
[legend]

## Public Member Functions
| Tabulated1 (size_t n, const double *tvals, const double *fvals, const std::string &method="linear")
| Constructor. More...
virtual std::string | write (const std::string &arg) const
virtual int | ID () const
virtual double | eval (double t) const
| Evaluate the function. More...
virtual Func1 & | duplicate () const
| Duplicate the current function. More...
virtual Func1 & | derivative () const
| Creates a derivative to the current function. More...
Public Member Functions inherited from Func1
| Func1 (const Func1 &right)
Func1 & | operator= (const Func1 &right)
virtual Func1 & | duplicate () const
| Duplicate the current function. More...
virtual int | ID () const
doublereal | operator() (doublereal t) const
| Calls method eval to evaluate the function. More...
virtual doublereal | eval (doublereal t) const
| Evaluate the function. More...
virtual Func1 & | derivative () const
| Creates a derivative to the current function. More...
bool | isIdentical (Func1 &other) const
| Routine to determine if two functions are the same. More...
virtual doublereal | isProportional (TimesConstant1 &other)
virtual doublereal | isProportional (Func1 &other)
virtual std::string | write (const std::string &arg) const
doublereal | c () const
| accessor function for the stored constant More...
void | setC (doublereal c)
| Function to set the stored constant. More...
Func1 & | func1 () const
| accessor function for m_f1 More...
Func1 & | func2 () const
| accessor function for m_f2 More...
virtual int | order () const
| Return the order of the function, if it makes sense. More...
Func1 & | func1_dup () const
Func1 & | func2_dup () const
Func1 * | parent () const
void | setParent (Func1 *p)

## Private Attributes
vector_fp | m_tvec
| Vector of time values. More...
vector_fp | m_fvec
| Vector of function values. More...
bool | m_isLinear
| Boolean indicating interpolation method. More...

## Additional Inherited Members
Protected Attributes inherited from Func1
doublereal | m_c
Func1 * | m_f1
Func1 * | m_f2
Func1 * | m_parent

## Detailed Description

The Tabulated1 class implements a tabulated function.

Definition at line 279 of file Func1.h.

## Constructor & Destructor Documentation

## ◆ Tabulated1()

Tabulated1 | ( | size_t | n,
|  | const double * | tvals,
|  | const double * | fvals,
|  | const std::string & | method = `"linear"`
| ) |  |

Constructor.

Parameters

  n | Size of tabulated value arrays
  tvals | Pointer to time value array
  fvals | Pointer to function value array
  method | Interpolation method ('linear' or 'previous')

Definition at line 218 of file Func1.cpp.

References Tabulated1::m_tvec.

Referenced by Tabulated1::derivative(), and Tabulated1::duplicate().

## Member Function Documentation

## ◆ write()

string write | ( | const std::string & | arg | ) | const
| virtual

Reimplemented from Func1.

Definition at line 313 of file Func1.cpp.

## ◆ ID()

virtual int ID | ( |  | ) | const
| inline virtual

Reimplemented from Func1.

Definition at line 293 of file Func1.h.

## ◆ eval()

double eval | ( | double | t | ) | const
| virtual

Evaluate the function.

Reimplemented from Func1.

Definition at line 242 of file Func1.cpp.

References Tabulated1::m_fvec, Tabulated1::m_isLinear, and Tabulated1::m_tvec.

## ◆ duplicate()

virtual Func1 & duplicate | ( |  | ) | const
| inline virtual

Duplicate the current function.

This duplicates the current function, returning a reference to the newly created function.

Reimplemented from Func1.

Definition at line 297 of file Func1.h.

References Tabulated1::m_fvec, Tabulated1::m_isLinear, Tabulated1::m_tvec, and Tabulated1::Tabulated1().

## ◆ derivative()

Func1 & derivative | ( |  | ) | const
| virtual

Creates a derivative to the current function.

This will create a new derivative function and return a reference to the function.

Reimplemented from Func1.

Definition at line 265 of file Func1.cpp.

References Tabulated1::m_fvec, Tabulated1::m_isLinear, Tabulated1::m_tvec, and Tabulated1::Tabulated1().

## Member Data Documentation

## ◆ m_tvec

vector_fp m_tvec
| private

Vector of time values.

Definition at line 309 of file Func1.h.

Referenced by Tabulated1::derivative(), Tabulated1::duplicate(), Tabulated1::eval(), and Tabulated1::Tabulated1().

## ◆ m_fvec

vector_fp m_fvec
| private

Vector of function values.

Definition at line 310 of file Func1.h.

Referenced by Tabulated1::derivative(), Tabulated1::duplicate(), and Tabulated1::eval().

## ◆ m_isLinear

bool m_isLinear
| private

Boolean indicating interpolation method.

Definition at line 311 of file Func1.h.

Referenced by Tabulated1::derivative(), Tabulated1::duplicate(), and Tabulated1::eval().

The documentation for this class was generated from the following files:

- Func1.h
- Func1.cpp